Cantera 2.6.0

Public Member Functions | Protected Attributes | List of all members
ThirdBodyCalc Class Reference

Calculate and apply third-body effects on reaction rates, including non- unity third-body efficiencies. More...

`#include <ThirdBodyCalc.h>`

## Public Member Functions
void | install (size_t rxnNumber, const std::map< size_t, double > &enhanced, double dflt=1.0, size_t rxnIndex=npos)
void | update (const vector_fp &conc, double ctot, double *work)
void | copy (const vector_fp &work, double *concm)
| Update third-body concentrations in full vector. More...
void | multiply (double *output, const double *work)
size_t | workSize ()

## Protected Attributes
std::vector< size_t > | m_reaction_index
| Indices of reactions that use third-bodies within vector of concentrations. More...
std::vector< size_t > | m_true_index
| Actual index of reaction within the full reaction array. More...
std::vector< std::vector< size_t > > | m_species
| m_species[i][j] is the index of the j-th species in reaction i. More...
std::vector< vector_fp > | m_eff
| m_eff[i][j] is the efficiency of the j-th species in reaction i. More...
vector_fp | m_default
| The default efficiency for each reaction. More...

## Detailed Description

Calculate and apply third-body effects on reaction rates, including non- unity third-body efficiencies.

Used by legacy reactions

Definition at line 19 of file ThirdBodyCalc.h.

## Member Function Documentation

## ◆ install()

void install | ( | size_t | rxnNumber,
|  | const std::map< size_t, double > & | enhanced,
|  | double | dflt = `1.0`,
|  | size_t | rxnIndex = `npos`
| ) |  |
| inline

Definition at line 22 of file ThirdBodyCalc.h.

## ◆ update()

void update | ( | const vector_fp & | conc,
|  | double | ctot,
|  | double * | work
| ) |  |
| inline

Definition at line 41 of file ThirdBodyCalc.h.

## ◆ copy()

void copy | ( | const vector_fp & | work,
|  | double * | concm
| ) |  |
| inline

Update third-body concentrations in full vector.

Definition at line 52 of file ThirdBodyCalc.h.

References ThirdBodyCalc::m_true_index.

Referenced by GasKinetics::update_rates_C().

## ◆ multiply()

void multiply | ( | double * | output,
|  | const double * | work
| ) |  |
| inline

Definition at line 58 of file ThirdBodyCalc.h.

## ◆ workSize()

size_t workSize | ( |  | ) |
| inline

Definition at line 64 of file ThirdBodyCalc.h.

## Member Data Documentation

## ◆ m_reaction_index

std::vector<size_t> m_reaction_index
| protected

Indices of reactions that use third-bodies within vector of concentrations.

Definition at line 70 of file ThirdBodyCalc.h.

## ◆ m_true_index

std::vector<size_t> m_true_index
| protected

Actual index of reaction within the full reaction array.

Definition at line 73 of file ThirdBodyCalc.h.

Referenced by ThirdBodyCalc::copy().

## ◆ m_species

std::vector<std::vector<size_t> > m_species
| protected

m_species[i][j] is the index of the j-th species in reaction i.

Definition at line 76 of file ThirdBodyCalc.h.

## ◆ m_eff

std::vector<vector_fp> m_eff
| protected

m_eff[i][j] is the efficiency of the j-th species in reaction i.

Definition at line 79 of file ThirdBodyCalc.h.

## ◆ m_default

vector_fp m_default
| protected

The default efficiency for each reaction.

Definition at line 82 of file ThirdBodyCalc.h.

The documentation for this class was generated from the following file:

- ThirdBodyCalc.h